import React from 'react';
import "./index.less";
var LinkText = function LinkText(props) {
  var text = props.text,
    className = props.className,
    linkHref = props.linkHref,
    onClick = props.onClick,
    style = props.style;
  var handleClick = function handleClick() {
    if (typeof onClick === 'function') {
      onClick();
    } else if (linkHref) {
      history.pushState(null, '', linkHref);
    }
  };
  return /*#__PURE__*/React.createElement("div", {
    className: "ss_link_text ".concat(className || ''),
    onClick: handleClick,
    style: style
  }, text, /*#__PURE__*/React.createElement("span", {
    className: "ss_link_text__arrow"
  }, "\xBB"));
};
export default LinkText;